Subject: gitweb sets incorrect <base> header

From: Peter Simons <[email-masked]>
Date: Tue, 28 Apr 2009 14:41:11 +0200

Hi,

after a recent gitweb update to revision v1.6.3-rc3-12-gb79376c, the CGI now
generates an incorrect <base> header. For example, the first "patch" on the
page

  http://git.cryp.to/fastcgi/commitdiff/9ad9965b3fa293c458df14391f181f2f8f1197cd

erroneously refer to http://git.cryp.to/cgi-bin/gitweb.cgi#patch1, but that
page doesn't exist. It appears that $base_url is not determined correctly.

Does anyone have a clue how that problem can be fixed?

Take care,
Peter